﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridChildColumnScrolling
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<500; i++)
            {
                SampleData sd = new SampleData() { ID = i, Label = "Label " + i.ToString(), Number1 = r.Next(1000), Number2 = r.Next(1000) };

                for(int j=0; j<50; j++)
                {
                    sd.Children.Add(new ChildData()
                    {
                        ChildID =j,
                        ChildLabel = "Child Label " + j.ToString(),
                        ChildNumber1 = r.Next(100),
                        ChildNumber2 = r.Next(100)                        
                    });
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }

        public ObservableCollection<ChildData> Children { get; set; }

        public SampleData()
        {
            Children = new ObservableCollection<ChildData>();
        }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public string ChildLabel { get; set; }
        public int ChildNumber1 { get; set; }
        public int ChildNumber2 { get; set; }
    }
}
